# Uses of Class
org.apache.avro.idl.IdlParser.EnumSymbolContext

## Uses of IdlParser.EnumSymbolContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.EnumSymbolContext
Modifier and Type
Field
Description
`IdlParser.EnumSymbolContext`
IdlParser.EnumDeclarationContext.`enumSymbol`
Fields in org.apache.avro.idl with type parameters of type IdlParser.EnumSymbolContext
Modifier and Type
Field
Description
`List<IdlParser.EnumSymbolContext>`
IdlParser.EnumDeclarationContext.`enumSymbols`
Methods in org.apache.avro.idl that return IdlParser.EnumSymbolContext
Modifier and Type
Method
Description
`IdlParser.EnumSymbolContext`
IdlParser.EnumDeclarationContext.`enumSymbol(int i)`
`final IdlParser.EnumSymbolContext`
IdlParser.`enumSymbol()`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.EnumSymbolContext
Modifier and Type
Method
Description
`List<IdlParser.EnumSymbolContext>`
IdlParser.EnumDeclarationContext.`enumSymbol()`
Methods in org.apache.avro.idl with parameters of type IdlParser.EnumSymbolContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Enter a parse tree produced by `IdlParser.enumSymbol()`.
`void`
IdlListener.`enterEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Enter a parse tree produced by `IdlParser.enumSymbol()`.
`void`
IdlBaseListener.`exitEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Exit a parse tree produced by `IdlParser.enumSymbol()`.
`void`
IdlListener.`exitEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Exit a parse tree produced by `IdlParser.enumSymbol()`.